---
title: Retrieve Observation
slug: retrieve-observation
docTags: 
createdAt: 2023-09-12T11:08:17.403Z
---

Access patient observation data recorded during healthcare encounters. Retrieve vital signs, laboratory results, and other clinical measurements. Useful for monitoring a patient's health status and analyzing trends in their clinical data.

To access this clinical data you'll need the patient identifier, obtainable through the [Retrieve Patient](docId:8OPknnbMTaZ47Rk5HkDD3) interaction.

### Interaction

Retrieving the list of observations can be done by sending a **GET** request. The request is sent to the Observation endpoint:

`https://api.<region>.founda.com/1/organizations/<org-x>/fhir/4/Observation?<parameters>`

Where `<region>` should be defined according to the different Founda [regions](docId\:ncFf15xNu1WGlST2wNm-P) and `<org-x>` should be replaced with the Healthcare Provider's organization ID that you are integrated with.&#x20;

The response contains a Bundle with 0, 1 or N matching Observations. The full Observation resource can be retrieved with the identifier of the selected Observation from the result set.&#x20;

### Profile

Founda adheres to recognized standards (IHE, HL7 FHIR) to ensure compatibility and harmonization among diverse systems. If there is a profile available for an interaction, it is recommended and preferred to follow the prescribed transactions.

The Retrieve Immunization interaction with the Founda Platform is based on the [IHE QEDm profile](https://www.ihe.net/uploadedFiles/Documents/PCC/IHE_PCC_Suppl_QEDm.pdf). To indicate that the request and response should comply with PCC-44, the `_profile` parameter should be included to the search set: `.../Observation?_profile=https://profiles.ihe.net/ITI/QEDm`.

### Parameters

In order to comply with the PCC-44 transaction, the interaction should at least support the parameter in the table below. Additional search parameters, as defined in the [FHIR Observation](http://hl7.org/fhir/observation.html) resource, can be used as well.&#x20;

| **Parameters combination**               | **Type**                                 | **Required\*** | **Description**                                                                                                                      |
| ---------------------------------------- | ---------------------------------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `patient` + `category`                   | `reference` + `token`                    |                | The patient to search data for + the category name of the resource                                                                   |
| `patient` + `category` + `code`          | `reference` + `token` + `token`          |                | The patient to search data for + the category name of the resource + the code of the resource                                        |
| `patient` + `category` + `date`          | `reference` + `token` + `date`           |                | The patient to search data for + the category name of the resource + the date of creation of the resource                            |
| `patient` + `category` + `code` + `date` | `reference` + `token` + `token` + `date` |                | The patient to search data for + the category name of the resource + the code of the resource + the date of creation of the resource |

*\*At least one of the combinations has to be supported*

### Example API call

::::CodeDrawer{title="Retrieve Observation for Patient" isResponseExpanded="true" autoGeneratedAnchorSlug="retrieve-observation-for-patient" legacyHash="WTb17KjALH2_-jhFPyBej"}
:::CodeblockTabsExamples
```curl
curl --location 'https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Observation?patient=2078&category=survey&_profile=https%3A%2F%2Fprofiles.ihe.net%2FITI%2FQEDm%2F' \
--header 'Authorization: Bearer ory_at_gVKKad_68mkpyCwAT_PS92ckkhCUDSMdbmP4O29reYc.KisLrCPAZgWtDP5q_nUoa3w1LYRf514q59QqUoP3eEU'
```
:::

:::CodeblockTabsResponses
```javascript
{
    "resourceType": "Bundle",
    "id": "99acf5b8-4b54-4a60-ad4e-0e110e27642a",
    "meta": {
        "lastUpdated": "2023-11-14T08:34:31.814+00:00"
    },
    "type": "searchset",
    "total": 1,
    "link": [
        {
            "relation": "self",
            "url": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Observation?patient=2078&category=survey&_profile=https://profiles.ihe.net/ITI/QEDm/"
        }
    ],
    "entry": [
        {
            "fullUrl": "https://api.eu.founda.com/1/health/organizations/org-4c5739ba994d4ce9b5255d3f84a2d367/fhir/4/Observation/2139",
            "resource": {
                "resourceType": "Observation",
                "id": "2139",
                "meta": {
                    "versionId": "3",
                    "lastUpdated": "2023-10-17T09:32:17.906+00:00",
                    "source": "#8243b825a7656e55",
                    "tag": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/v3-ActReason",
                            "code": "HTEST",
                            "display": "test health data"
                        }
                    ]
                },
                "text": {
                    "status": "generated",
                    "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative with Details</b></p><p><b>id</b>: 1minute-apgar-score</p><p><b>contained</b>: </p><p><b>status</b>: final</p><p><b>category</b>: Survey <span>(Details : {http://terminology.hl7.org/CodeSystem/observation-category code 'survey' = 'Survey', given as 'Survey'})</span></p><p><b>code</b>: 1 minute Apgar Score <span>(Details : {LOINC code '9272-6' = '1 minute Apgar Score', given as '1 minute Apgar Score'}; {SNOMED CT code '169895004' = 'Apgar at 1 minute', given as 'Apgar at 1 minute'})</span></p><p><b>subject</b>: id: newborn; 12345; active; Peter James Chalmers ; gender: male; birthDate: 18/05/2016</p><p><b>effective</b>: 18/05/2016 10:33:22 PM</p><p><b>performer</b>: <a>Practitioner/example</a></p><p><b>value</b>: 0 {score}<span> (Details: UCUM code {score} = '{score}')</span></p><blockquote><p><b>component</b></p><p><b>code</b>: Apgar color score <span>(Details : {LOINC code '32406-1' = '1 minute Apgar Color', given as '1 minute Apgar Color'}; {SNOMED CT code '249227004' = 'Apgar color score', given as 'Apgar color score'})</span></p><p><b>value</b>: 0. The baby's whole body is completely bluish-gray or pale <span>(Details : {LOINC code 'LA6722-8' = 'The baby's whole body is completely bluish-gray or pale', given as 'The baby's whole body is completely bluish-gray or pale'}; {http://acme.ped/apgarcolor code '0' = '0)</span></p></blockquote><blockquote><p><b>component</b></p><p><b>code</b>: Apgar respiratory effort score <span>(Details : {LOINC code '32407-9' = '1 minute Apgar Heart rate', given as '1 minute Apgar Heart Rate'}; {SNOMED CT code '249223000' = 'Apgar heart rate score', given as 'Apgar heart rate score'})</span></p><p><b>value</b>: 0. No heart rate <span>(Details : {LOINC code 'LA6716-0' = 'No heart rate', given as 'No heart rate'}; {http://acme.ped/apgarheartrate code '0' = '0)</span></p></blockquote><blockquote><p><b>component</b></p><p><b>code</b>: Apgar response to stimulus score <span>(Details : {LOINC code '32409-5' = '1 minute Apgar Reflex irritability', given as '1 minute Apgar Reflex Irritability'}; {SNOMED CT code '249226008' = 'Apgar response to stimulus score', given as 'Apgar response to stimulus score'})</span></p><p><b>value</b>: 0. No response to airways being suctioned <span>(Details : {LOINC code 'LA6719-4' = 'No response to airways being suctioned', given as 'No response to airways being suctioned'}; {http://acme.ped/apgarreflexirritability code '0' = '0)</span></p></blockquote><blockquote><p><b>component</b></p><p><b>code</b>: Apgar muscle tone score <span>(Details : {LOINC code '32408-7' = '1 minute Apgar Muscle tone', given as '1 minute Apgar Muscle Tone'}; {SNOMED CT code '249225007' = 'Apgar muscle tone score', given as 'Apgar muscle tone score'})</span></p><p><b>value</b>: 0. Limp; no movement <span>(Details : {LOINC code 'LA6713-7' = 'Limp; no movement', given as 'Limp; no movement'}; {http://acme.ped/apgarmuscletone code '0' = '0)</span></p></blockquote><blockquote><p><b>component</b></p><p><b>code</b>: Apgar respiratory effort score <span>(Details : {LOINC code '32410-3' = '1 minute Apgar Respiratory effort', given as '1 minute Apgar Respiratory effort'}; {SNOMED CT code '249224006' = 'Apgar respiratory effort score', given as 'Apgar respiratory effort score'})</span></p><p><b>value</b>: 0. Not breathing <span>(Details : {LOINC code 'LA6725-1' = 'Not breathing', given as 'Not breathing'}; {http://acme.ped/apgarrespiratoryeffort code '0' = '0)</span></p></blockquote></div>"
                },
                "status": "final",
                "category": [
                    {
                        "coding": [
                            {
                                "system": "http://terminology.hl7.org/CodeSystem/observation-category",
                                "code": "survey",
                                "display": "Survey"
                            }
                        ],
                        "text": "Survey"
                    }
                ],
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "9272-6",
                            "display": "1 minute Apgar Score"
                        },
                        {
                            "system": "http://snomed.info/sct",
                            "code": "169895004",
                            "display": "Apgar at 1 minute"
                        }
                    ],
                    "text": "1 minute Apgar Score"
                },
                "subject": {
                    "reference": "Patient/2078"
                },
                "effectiveDateTime": "2016-05-18T22:33:22Z",
                "performer": [
                    {
                        "reference": "Practitioner/2079"
                    }
                ],
                "valueQuantity": {
                    "value": 0,
                    "system": "http://unitsofmeasure.org",
                    "code": "{score}"
                },
                "component": [
                    {
                        "code": {
                            "coding": [
                                {
                                    "system": "http://loinc.org",
                                    "code": "32406-1",
                                    "display": "1 minute Apgar Color"
                                },
                                {
                                    "system": "http://snomed.info/sct",
                                    "code": "249227004",
                                    "display": "Apgar color score"
                                }
                            ],
                            "text": "Apgar color score"
                        },
                        "valueCodeableConcept": {
                            "coding": [
                                {
                                    "extension": [
                                        {
                                            "url": "http://hl7.org/fhir/StructureDefinition/ordinalValue",
                                            "valueDecimal": 0
                                        }
                                    ],
                                    "system": "http://loinc.org",
                                    "code": "LA6722-8",
                                    "display": "The baby's whole body is completely bluish-gray or pale"
                                },
                                {
                                    "system": "http://acme.ped/apgarcolor",
                                    "code": "0"
                                }
                            ],
                            "text": "0. The baby's whole body is completely bluish-gray or pale"
                        }
                    },
                    {
                        "code": {
                            "coding": [
                                {
                                    "system": "http://loinc.org",
                                    "code": "32407-9",
                                    "display": "1 minute Apgar Heart Rate"
                                },
                                {
                                    "system": "http://snomed.info/sct",
                                    "code": "249223000",
                                    "display": "Apgar heart rate score"
                                }
                            ],
                            "text": "Apgar respiratory effort score"
                        },
                        "valueCodeableConcept": {
                            "coding": [
                                {
                                    "extension": [
                                        {
                                            "url": "http://hl7.org/fhir/StructureDefinition/ordinalValue",
                                            "valueDecimal": 0
                                        }
                                    ],
                                    "system": "http://loinc.org",
                                    "code": "LA6716-0",
                                    "display": "No heart rate"
                                },
                                {
                                    "system": "http://acme.ped/apgarheartrate",
                                    "code": "0"
                                }
                            ],
                            "text": "0. No heart rate"
                        }
                    },
                    {
                        "code": {
                            "coding": [
                                {
                                    "system": "http://loinc.org",
                                    "code": "32409-5",
                                    "display": "1 minute Apgar Reflex Irritability"
                                },
                                {
                                    "system": "http://snomed.info/sct",
                                    "code": "249226008",
                                    "display": "Apgar response to stimulus score"
                                }
                            ],
                            "text": "Apgar response to stimulus score"
                        },
                        "valueCodeableConcept": {
                            "coding": [
                                {
                                    "extension": [
                                        {
                                            "url": "http://hl7.org/fhir/StructureDefinition/ordinalValue",
                                            "valueDecimal": 0
                                        }
                                    ],
                                    "system": "http://loinc.org",
                                    "code": "LA6719-4",
                                    "display": "No response to airways being suctioned"
                                },
                                {
                                    "system": "http://acme.ped/apgarreflexirritability",
                                    "code": "0"
                                }
                            ],
                            "text": "0. No response to airways being suctioned"
                        }
                    },
                    {
                        "code": {
                            "coding": [
                                {
                                    "system": "http://loinc.org",
                                    "code": "32408-7",
                                    "display": "1 minute Apgar Muscle Tone"
                                },
                                {
                                    "system": "http://snomed.info/sct",
                                    "code": "249225007",
                                    "display": "Apgar muscle tone score"
                                }
                            ],
                            "text": "Apgar muscle tone score"
                        },
                        "valueCodeableConcept": {
                            "coding": [
                                {
                                    "extension": [
                                        {
                                            "url": "http://hl7.org/fhir/StructureDefinition/ordinalValue",
                                            "valueDecimal": 0
                                        }
                                    ],
                                    "system": "http://loinc.org",
                                    "code": "LA6713-7",
                                    "display": "Limp; no movement"
                                },
                                {
                                    "system": "http://acme.ped/apgarmuscletone",
                                    "code": "0"
                                }
                            ],
                            "text": "0. Limp; no movement"
                        }
                    },
                    {
                        "code": {
                            "coding": [
                                {
                                    "system": "http://loinc.org",
                                    "code": "32410-3",
                                    "display": "1 minute Apgar Respiratory effort"
                                },
                                {
                                    "system": "http://snomed.info/sct",
                                    "code": "249224006",
                                    "display": "Apgar respiratory effort score"
                                }
                            ],
                            "text": "Apgar respiratory effort score"
                        },
                        "valueCodeableConcept": {
                            "coding": [
                                {
                                    "extension": [
                                        {
                                            "url": "http://hl7.org/fhir/StructureDefinition/ordinalValue",
                                            "valueDecimal": 0
                                        }
                                    ],
                                    "system": "http://loinc.org",
                                    "code": "LA6725-1",
                                    "display": "Not breathing"
                                },
                                {
                                    "system": "http://acme.ped/apgarrespiratoryeffort",
                                    "code": "0"
                                }
                            ],
                            "text": "0. Not breathing"
                        }
                    }
                ]
            },
            "search": {
                "mode": "match"
            }
        }
    ]
}
```
:::
::::

